## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaAllocator Template Class Reference

`#include <ReusableArenaAllocator.hpp>`

Inheritance diagram for ReusableArenaAllocator

Collaboration diagram for ReusableArenaAllocator:

List of all members.

## Public Types

- typedef ReusableArenaBlock<
  ObjectType> ReusableArenaBlockType
- typedef ReusableArenaBlockType::size_type size_type
- typedef ArenaAllocator<ObjectType,
  ReusableArenaBlockType> BaseClassType
- typedef std::vector<ReusableArenaBlockType*> ArenaBlockListType

## Public Methods

- ReusableArenaAllocator (size_type theBlockSize)
- virtual ~ReusableArenaAllocator ()
- bool destroyObject (ObjectType* theObject)
- virtual ObjectType* allocateBlock ()
- virtual void commitAllocation (ObjectType* theObject)
- virtual void reset ()
- virtual bool ownsObject (const ObjectType* theObject) const

## Member Typedef Documentation

template<classObjectType>
typedef std::vector<ReusableArenaBlockType*> ReusableArenaAllocator<ObjectType>::ArenaBlockListType

Reimplemented from ArenaAllocator.

template<classObjectType>
typedef ArenaAllocator<ObjectType, ReusableArenaBlockType> ReusableArenaAllocator<ObjectType>::BaseClassType

template<classObjectType>
typedef ReusableArenaBlock<ObjectType> ReusableArenaAllocator<ObjectType>::ReusableArenaBlockType

template<classObjectType>
typedef ReusableArenaBlockType::size_type ReusableArenaAllocator<ObjectType>::size_type

Reimplemented from ArenaAllocator.

## Constructor & Destructor Documentation

template<classObjectType>
ReusableArenaAllocator<ObjectType>::ReusableArenaAllocator<ObjectType> ( | size_type theBlockSize )

template<classObjectType>
ReusableArenaAllocator<ObjectType>::~ReusableArenaAllocator<ObjectType> ( | )`[virtual]`

## Member Function Documentation

template<classObjectType>
ObjectType * ReusableArenaAllocator<ObjectType>::allocateBlock ( | )`[virtual]`

Reimplemented from ArenaAllocator.

template<classObjectType>
void ReusableArenaAllocator<ObjectType>::commitAllocation ( | ObjectType * theObject )`[virtual]`

Reimplemented from ArenaAllocator.

template<classObjectType>
bool ReusableArenaAllocator<ObjectType>::destroyObject ( | ObjectType * theObject )`[]`

template<classObjectType>
bool ReusableArenaAllocator<ObjectType>::ownsObject ( | const ObjectType * theObject ) const`[virtual]`

Reimplemented from ArenaAllocator.

template<classObjectType>
void ReusableArenaAllocator<ObjectType>::reset ( | )`[virtual]`

Reimplemented from ArenaAllocator.

The documentation for this class was generated from the following file:

- ReusableArenaAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.